#include "linear_neuron.h"

#include <cmath>
#include <cstdlib>
#include <iostream>


using namespace std;

LinearNeuron::LinearNeuron(int number_of_outputs, int index)
:Neuron(number_of_outputs, index){
}

double LinearNeuron::transfer_function(double in){
	return in;
}

double LinearNeuron::transfer_function_derivative(double in){
	in = 1;
	return in;
}
